Skip to main content
POST
/
v1
/
datasets
Create a dataset
curl --request POST \
  --url https://api.dp1.us.honeyhive.ai/v1/datasets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Untitled Dataset",
  "description": "<string>",
  "datapoints": []
}
'
{
  "inserted": true,
  "result": {
    "insertedId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for POST /datasets

name
string
default:Untitled Dataset

Name of the dataset

Maximum string length: 200
description
string

Description of the dataset

datapoints
string[]

Initial datapoint IDs to include

Minimum string length: 1

Response

200 - application/json

Successful creation

Response for POST /datasets

inserted
boolean
required
result
object
required